Subject: Re: [PATCH] parse-opt: migrate builtin-checkout-index.

From: Raphael Zimmerer <[email-masked]>
Date: Sun, 19 Oct 2008 21:29:08 +0200

On Sat, Oct 18, 2008 at 03:17:23AM +0200, Miklos Vajna wrote:
> Right, I fixed this in option_parse_z(). --no-z should set
> line_termination to \n instead of 1.

How about "--no-null"?

The long option name for "-z" is "--null", as used in git-config and
git-grep. So I suggest to use that as the long option name for "-z",
as the enhanced option parser automatically will recongnize
"--no-null", when used. That helps avoid further confusion with git
option names.

 - Raphael